PostgreSQL 7.1.3 Documentation
Prev |  | Next

# locreate

## Name

locreate -- creates of large object in the database [LO]

## Synopsis

    locreate(mode)

### Parameters

`mode`

  Large object create mode.

### Return Type

pglarge

  Object handling the PostgreSQL large object.

### Exceptions

TypeError

  Bad argument type or too many arguments.

pg.error

  Invalid connection, or creation error.

## Description

`locreate()` method creates a large object in the database. The mode can be defined by OR-ing the constants defined in the pg module (`INV_READ, INV_WRITE` and `INV_ARCHIVE`).

Prev | Home | Next
endcopy | Up | getlo